POST api/Insured/InsuredSMS
Insured Sms list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"86ee8e5e-4a80-450a-97fe-dad7998c7515",
"38b34520-7084-4d01-bf73-43756c7d1c46"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>86ee8e5e-4a80-450a-97fe-dad7998c7515</d2p1:guid>
<d2p1:guid>38b34520-7084-4d01-bf73-43756c7d1c46</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of InsuredSMS against given insured database Ids.
InsuredSMS| Name | Description | Type | Additional information |
|---|---|---|---|
| DateAndTime | date |
None. |
|
| FromNumber | string |
None. |
|
| ToNumber | string |
None. |
|
| Subject | string |
None. |
|
| FromName | string |
None. |
|
| ToName | string |
None. |
|
| ConversationId | string |
None. |
|
| MessageId | string |
None. |
|
| IsRead | boolean |
None. |
|
| SystemType | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
|
| InsuredEmail | string |
None. |
|
| InsuredFirstName | string |
None. |
|
| InsuredLastName | string |
None. |
|
| InsuredCommercialName | string |
None. |
|
| DatabaseId | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"dateAndTime": "2026-10-31T00:43:46.0342072-05:00",
"fromNumber": "sample string 2",
"toNumber": "sample string 3",
"subject": "sample string 4",
"fromName": "sample string 5",
"toName": "sample string 6",
"conversationId": "sample string 7",
"messageId": "sample string 8",
"isRead": true,
"systemType": "sample string 10",
"insuredDatabaseId": "acc7f430-3266-4904-880f-4b0c2b9e1198",
"insuredEmail": "sample string 11",
"insuredFirstName": "sample string 12",
"insuredLastName": "sample string 13",
"insuredCommercialName": "sample string 14",
"databaseId": "7631c7a1-0f24-4dc5-bc1b-935105435735"
}
application/xml, text/xml
Sample:
<InsuredSMS xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <ConversationId>sample string 7</ConversationId> <DatabaseId>7631c7a1-0f24-4dc5-bc1b-935105435735</DatabaseId> <DateAndTime>2026-10-31T00:43:46.0342072-05:00</DateAndTime> <FromName>sample string 5</FromName> <FromNumber>sample string 2</FromNumber> <InsuredCommercialName>sample string 14</InsuredCommercialName> <InsuredDatabaseId>acc7f430-3266-4904-880f-4b0c2b9e1198</InsuredDatabaseId> <InsuredEmail>sample string 11</InsuredEmail> <InsuredFirstName>sample string 12</InsuredFirstName> <InsuredLastName>sample string 13</InsuredLastName> <IsRead>true</IsRead> <MessageId>sample string 8</MessageId> <Subject>sample string 4</Subject> <SystemType>sample string 10</SystemType> <ToName>sample string 6</ToName> <ToNumber>sample string 3</ToNumber> </InsuredSMS>